Package org.eclipse.mat.ui.internal.diagnostics

# Class DiagnosticsWizardAction.DiagnosticsWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.mat.ui.internal.diagnostics.DiagnosticsWizardAction.DiagnosticsWizard

All Implemented Interfaces:
  `IPageChangedListener`, `IShellProvider`, `IWizard`, `IWorkbenchWizard`

Enclosing class:
  `DiagnosticsWizardAction`

public static class DiagnosticsWizardAction.DiagnosticsWizard extends Wizard implements IWorkbenchWizard, IPageChangedListener

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`DiagnosticsWizard()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
`boolean`
`canFinish()`
`IWizardPage`
`getStartingPage()`
`void`
`init(IWorkbench workbench, IStructuredSelection selection)`
`void`
`pageChanged(PageChangedEvent event)`
`boolean`
`performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Constructor Details

### DiagnosticsWizard

public DiagnosticsWizard()

## Method Details

### addPages

public void addPages()

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

### performFinish

public boolean performFinish()

Specified by:
  `performFinish` in interface `IWizard`
Specified by:
  `performFinish` in class `Wizard`

### canFinish

public boolean canFinish()

Specified by:
  `canFinish` in interface `IWizard`
Overrides:
  `canFinish` in class `Wizard`

### getStartingPage

public IWizardPage getStartingPage()

Specified by:
  `getStartingPage` in interface `IWizard`
Overrides:
  `getStartingPage` in class `Wizard`

### init

public void init(IWorkbench workbench, IStructuredSelection selection)

Specified by:
  `init` in interface `IWorkbenchWizard`

### pageChanged

public void pageChanged(PageChangedEvent event)

Specified by:
  `pageChanged` in interface `IPageChangedListener`